ColdFusion Multiple Vulnerabilities (File Upload/Manipulation)

High Nessus Plugin ID 10001

Synopsis

The remote application server is affected by multiple vulnerabilities.

Description

The 'exprcalc.cfm' page in the version of Cold Fusion Application Server running on the remote host allows an unauthenticated, remote attacker to read arbitrary files and possibly delete or upload arbitrary files as well.

Solution

Contact the vendor for a patch.

In addition to this patch, it is recommended that the documentation and example code not be stored on production servers.

See Also

https://seclists.org/bugtraq/1999/Apr/198

Plugin Details

Severity: High

ID: 10001

File Name: ColdFusion.nasl

Version: 1.48

Type: remote

Family: CGI abuses

Published: 1999/07/09

Updated: 2018/11/15

Dependencies: 10107, 17975

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.5

Temporal Score: 6.2

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:F/RL:OF/RC:ND

Vulnerability Information

CPE: cpe:/a:allaire:coldfusion_server

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 1999/02/04

Vulnerability Publication Date: 1998/12/25

Reference Information

CVE: CVE-1999-0455, CVE-1999-0477

BID: 115